> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Statuses

> A `GET` to the `/statuses` endpoint allows your application to retrieve all a tenants Status records.



## OpenAPI

````yaml get /v3/statuses
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/statuses:
    get:
      tags:
        - Status
      summary: Browse Statuses
      description: >-
        A `GET` to the `/statuses` endpoint allows your application to retrieve
        all a tenants Status records.
      operationId: statuses.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `StatusOriginal`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StatusOriginal'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    StatusOriginal:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        sort_order:
          type: string
        description:
          type: string
        short_description:
          type: string
        long_description:
          type: string
        terms_conditions:
          type: string
        icon:
          type: string
        image_url:
          type: string
        earn_instructions:
          type: string
        colour:
          type: string
        primary_colour:
          type: string
        secondary_colour:
          type: string
        text_colour:
          type: string
        code:
          type: string
        internal_notes:
          type: string
        group_name:
          type: string
        group_handle:
          type: string
        timezone:
          type: string
        period:
          type: string
        period_type:
          type: string
        absolute_expiry:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - sort_order
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - colour
        - primary_colour
        - secondary_colour
        - text_colour
        - code
        - internal_notes
        - group_name
        - group_handle
        - timezone
        - period
        - period_type
        - absolute_expiry
        - created_at
        - updated_at
      title: StatusOriginal
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````